Create Workspace

Create a new workspace under the API key holder's organization. Only **personal** API keys can create workspaces — workspace-scoped keys are intentionally limited to their existing workspace. A default agent workflow is created unless `skipDefaultWorkflow=true`.

POST/api/v1/workspaces
X-API-Key<token>

Your Recall API key (personal or workspace). Generate one from the Recall dashboard under Settings > API Keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST \  "https://tryrecall.com/api/v1/workspaces" \  -H "X-API-Key: YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "name": "Engineering",    "color": "#3972F6",    "skipDefaultWorkflow": false  }'
{
  "success": true,
  "data": {
    "workspace": {
      "id": "wsp_abc123",
      "name": "Engineering",
      "slug": "engin3r2",
      "color": "#3972F6",
      "ownerId": "string",
      "organizationId": "string",
      "billedAccountUserId": "string",
      "allowPersonalApiKeys": true,
      "role": "admin",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "archivedAt": "2019-08-24T14:15:22Z"
    }
  }
}
Empty
{
  "error": "string"
}
Empty
{
  "error": "string"
}